<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::capabilityAgents::notifications::NotificationIndicator Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents.html">capabilityAgents</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html">notifications</a></li><li class="navelem"><a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notification_indicator.html">NotificationIndicator</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notification_indicator-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::capabilityAgents::notifications::NotificationIndicator Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_notification_indicator_8h_source.html">NotificationIndicator.h</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::capabilityAgents::notifications::NotificationIndicator:</div>
<div class="dyncontent">
<div class="center"><img src="structalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notification_indicator__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notification_indicator_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notification_indicator_coll__map" id="alexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notification_indicator_coll__map">
<area shape="rect" id="node2" href="structalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notification_indicator_1_1_asset.html" title="alexaClientSDK::capability\lAgents::notifications::\lNotificationIndicator::Asset" alt="" coords="5,5,185,57"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notification_indicator_1_1_asset.html">Asset</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a3725b800743b32af7c1f54fc8ee614ad"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notification_indicator.html#a3725b800743b32af7c1f54fc8ee614ad">NotificationIndicator</a> ()</td></tr>
<tr class="separator:a3725b800743b32af7c1f54fc8ee614ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a790b31526fb7ca5028e7f92a0c588c0b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notification_indicator.html#a790b31526fb7ca5028e7f92a0c588c0b">NotificationIndicator</a> (bool <a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notification_indicator.html#a014651771efd27b0a0d90c2399c3030c">persistVisualIndicator</a>, bool <a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notification_indicator.html#abd6b8acec89adc9f0e43e22e6d03f157">playAudioIndicator</a>, const std::string &amp;assetId, const std::string &amp;url)</td></tr>
<tr class="separator:a790b31526fb7ca5028e7f92a0c588c0b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a014651771efd27b0a0d90c2399c3030c"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notification_indicator.html#a014651771efd27b0a0d90c2399c3030c">persistVisualIndicator</a></td></tr>
<tr class="separator:a014651771efd27b0a0d90c2399c3030c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abd6b8acec89adc9f0e43e22e6d03f157"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notification_indicator.html#abd6b8acec89adc9f0e43e22e6d03f157">playAudioIndicator</a></td></tr>
<tr class="memdesc:abd6b8acec89adc9f0e43e22e6d03f157"><td class="mdescLeft">&#160;</td><td class="mdescRight">Flag specifying if the device must play audio when processing this <code><a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notification_indicator.html">NotificationIndicator</a></code>.  <a href="#abd6b8acec89adc9f0e43e22e6d03f157">More...</a><br /></td></tr>
<tr class="separator:abd6b8acec89adc9f0e43e22e6d03f157"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab559317b04615b6b7406eeee7a70c068"><td class="memItemLeft" align="right" valign="top">struct <a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notification_indicator_1_1_asset.html">alexaClientSDK::capabilityAgents::notifications::NotificationIndicator::Asset</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notification_indicator.html#ab559317b04615b6b7406eeee7a70c068">asset</a></td></tr>
<tr class="separator:ab559317b04615b6b7406eeee7a70c068"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">A struct representation of a <code><a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notification_indicator.html">NotificationIndicator</a></code>.</p>
<p class="">There is one instance of this class created per SetIndicator directive. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a3725b800743b32af7c1f54fc8ee614ad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3725b800743b32af7c1f54fc8ee614ad">&#9670;&nbsp;</a></span>NotificationIndicator() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::notifications::NotificationIndicator::NotificationIndicator </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Default constructor </p>

</div>
</div>
<a id="a790b31526fb7ca5028e7f92a0c588c0b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a790b31526fb7ca5028e7f92a0c588c0b">&#9670;&nbsp;</a></span>NotificationIndicator() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::notifications::NotificationIndicator::NotificationIndicator </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>persistVisualIndicator</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>playAudioIndicator</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>assetId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>url</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Constructor</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">persistVisualIndicator</td><td>A flag indicating whether the visual indicator on the device should stay lit. </td></tr>
    <tr><td class="paramname">playAudioIndicator</td><td>A flag indicating whether audio should be played. </td></tr>
    <tr><td class="paramname">assetId</td><td>The id of the audio asset to be played. </td></tr>
    <tr><td class="paramname">url</td><td>The url of the audio asset to be played. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="ab559317b04615b6b7406eeee7a70c068"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab559317b04615b6b7406eeee7a70c068">&#9670;&nbsp;</a></span>asset</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct <a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notification_indicator_1_1_asset.html">alexaClientSDK::capabilityAgents::notifications::NotificationIndicator::Asset</a>  alexaClientSDK::capabilityAgents::notifications::NotificationIndicator::asset</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a014651771efd27b0a0d90c2399c3030c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a014651771efd27b0a0d90c2399c3030c">&#9670;&nbsp;</a></span>persistVisualIndicator</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::capabilityAgents::notifications::NotificationIndicator::persistVisualIndicator</td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Flag specifying if the device must display a persistent visual indicator when processing this <code><a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notification_indicator.html">NotificationIndicator</a></code>. </p>

</div>
</div>
<a id="abd6b8acec89adc9f0e43e22e6d03f157"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abd6b8acec89adc9f0e43e22e6d03f157">&#9670;&nbsp;</a></span>playAudioIndicator</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::capabilityAgents::notifications::NotificationIndicator::playAudioIndicator</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Flag specifying if the device must play audio when processing this <code><a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notification_indicator.html">NotificationIndicator</a></code>. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following files:<ul>
<li>/workplace/avs-device-sdk/CapabilityAgents/Notifications/include/Notifications/<a class="el" href="_notification_indicator_8h_source.html">NotificationIndicator.h</a></li>
<li>/workplace/avs-device-sdk/CapabilityAgents/Notifications/src/<a class="el" href="_notification_indicator_8cpp.html">NotificationIndicator.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
